import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.DbData;
import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;
import quadbase.reportdesigner.util.ColInfo;

public class SimpleColumnar extends Applet {
	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {
		try {
			SimpleColumnar doReport = new SimpleColumnar();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", doReport.doSimpleColumnarReport(frame));
			frame.setSize(900, 800);
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setVisible(true);

		} catch (Exception ex) {

			ex.printStackTrace();

		}

	}

	@Override
	public void init() {

		setLayout(new BorderLayout());
		add("Center", doSimpleColumnarReport(this));

	}

	Component doSimpleColumnarReport(Object parent) {
		QbReport.setEspressManagerUsed(false);

		//		Data passed in an array in memory
		String dataType[] = { "String", "String", "String" };
		String fieldName[] = { "Product Type", "Product Name", "Price" };
		String records[][] = { { "12", "Chair", "$20" },
				{ "12", "Table", "$30" },
				{ "14", "Cabinet", "$20" },
				{ "14", "Table", "$50" } };
		DbData data = new DbData(dataType, fieldName, records);

		//		Set Column Mapping
		ColInfo colInfo[] = new ColInfo[3];
		colInfo[0] = new ColInfo(0);
		colInfo[0].setName("Product Type");
		colInfo[1] = new ColInfo(1);
		colInfo[1].setName("Product Name");
		colInfo[2] = new ColInfo(2);
		colInfo[2].setName("Product Price");

		//		Create Report
		QbReport report = new QbReport
				(parent, // Parent
						QbReport.COLUMNAR, // Type of Report
						data, // Data
						colInfo, // Column Mapping - use the column mapping in the template
						"SimpleColumnar.rpt"); // Template Name

		/*
				// Adding Colors
				ReportTable table = report.getTable();
				for(int i = 0; i < table.getColumnCount(); i++) {
					table.getHeader().getCells()[i].setFontColor(Color.blue);
					table.getColumn(i).setFontColor(Color.blue);
					table.getColumn(i).setFontColor2(Color.darkGray);
					table.getColumn(i).setAlternateRow(1);
				}
				
				// Add line
				ReportLine reportLine = new ReportLine(false);
				reportLine.setBorderColor(Color.blue);
				reportLine.setLineStyle(ReportLine.DASH);
				reportLine.setBorder(1);
				reportLine.setWidth(3); 
				reportLine.setY(0.22);
				report.getTable().getHeader().addData(reportLine);

				// Add Report Title
				StringObject title = new StringObject("Product Listing");
				ReportCell titleCell = new ReportCell(title);
				titleCell.setFont(new Font("Dialog", Font.BOLD, 12));
				titleCell.setWidth(3.0);
				titleCell.setAlign(IAlignConstants.ALIGN_CENTER);
				titleCell.setFontColor(Color.darkGray);
				report.getReportHeader().addData(titleCell);
				report.getReportHeader().setHeight(0.4);
		*/

		return (new Viewer().getComponent(report));

	}

}
